local Inventory = Object:extend()

function Inventory:new(controller)
  self.controller = controller

  self.data = {}
  self.data.weapons = {}
  self.data.items   = {}
  self.data.shields = {}
  self.data.hats    = {}
end

function Inventory:addItem(name)

  if (self.data.items[name] == nil) then
    self.data.items[name] = 0
  end

  self.data.items[name] = self.data.items[name] + 1
end

function Inventory:setData(data)
  self.data = data
end

function Inventory:getData(data)
  return self.data
end

return Inventory
